<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.shopping.mapper.GoodsAttributesMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="goodsAttributesResultMap" type="org.springblade.modules.shopping.entity.GoodsAttributes">
        <id column="id" property="id"/>
        <result column="goods_id" property="goodsId"/>
        <result column="attr_id" property="attrId"/>
        <result column="attr_val" property="attrVal"/>
        <result column="create_time" property="createTime"/>
    </resultMap>


    <select id="selectGoodsAttributesPage" resultMap="goodsAttributesResultMap">
        select * from t_goods_attributes where is_deleted = 0
    </select>

</mapper>
